/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import java.math.BigDecimal;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.SegVKM;

/**
 *
 * @author RJ
 */
public interface SegVKMDAO extends GenericDAO<SegVKM, Integer> {

    public List<SegVKM> buscar(String segVKm);

    public String seriePorEmpresa(Integer empresaId);
    
    public BigDecimal buscarSeguroPorKm(Long km, String serie, Integer orgaoConcedenteId);
}
